# binaryninja.interaction.get_directory_name_input

`binaryninja.interaction.``get_directory_name_input`(prompt, default_name='')

  `get_directory_name_input` prompts the user for a directory name to save as, optionally providing a default_name.

  Note: This API function differently on the command line vs. the UI. In the UI a popup is used. On the commandline a simple text prompt is used. The ui uses the native window popup for file selection.

  Parameters:

  - prompt (str) – Prompt to display.
  - default_name (str) – Optional, default directory name.

  Return type: | str

  Example:

      >>> get_directory_name_input("prompt")
      prompt dirname
      'dirname'